Subject: Re: bug#65913: with-help-window arranges for 'inhibit-read-only' to be set to 't'

From: Heime <[email-masked]>
Date: Wed, 13 Sep 2023 14:51:30 +0000

Sent with Proton Mail secure email.

------- Original Message -------
On Thursday, September 14th, 2023 at 2:04 AM, Stefan Kangas <[email-masked]> wrote:

> Eli Zaretskii [email-masked] writes:
> 
> > I disagree. The use of inhibit-read-only is an implementation detail
> > of with-help-window (and of many other functions in Emacs); mentioning
> > it in the doc string will IMO have no useful purpose.
> > 
> > The doc string of "C-x C-q" (read-only-mode) does mention
> > inhibit-read-only, which is I think a much more reasonable place for a
> > reference to that variable.
> > 
> > Stefan, WDYT?
> 
> 
> I tend to agree with you.

Stefan, is this to say that for you it is good that there is no way
to figure out that there is no requirement to reset buffer-read-only 
from the self documentation ?  And that it is even unnecessary to
state that the duffer is read only by going through the different 
docstrings.  Such conclusions is seriously deficient with little regard
to how much time developers waste in working with the language.